<form name="deleteForm" (ngSubmit)="verifierDemande(data)">
  <div class="modal-header" style="background: #f19116 ;color: white">
    <h4 class="modal-title">Nouvelle demande</h4>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
  </div>
  <div class="modal-body">
    <div class="row">
      <div class="col-lg-12 mb-4">
        <div widget class="card border-0 box-shadow">
          <div class="card-header transparent border-0 text-muted">
            <h5 class="mb-0">Données de l'assuré sous la matricule
              <!--<input class="form-control" style="width:150px;" type="text" name="matricule">-->
              <ng-select #select2 name="name"
                         [items]="listAssures"
                         bindLabel="matricule"
                         [(ngModel)]="assureChoosen"
                         required (change)="changeSelect2()">
              </ng-select>
            </h5>

          </div>
          <div class="card-body pt-0 widget-body">
            <br/>
            <table style="width:100%">
              <tr>
                <th>Nom</th>
                <td>{{ assureChoosen.nom }}</td>
                <th>Prénom</th>
                <td>{{ assureChoosen.prenom }}</td>
              </tr>
              <tr>
                <th>Date de naissance</th>
                <td>{{ assureChoosen.dateNaissance }}</td>
                <th>Lieu de naissance</th>
                <td>{{ assureChoosen.lieuNaissance }}</td>
              </tr>
              <tr>
                <th>Sexe</th>
                <td>{{ assureChoosen.sexe }}</td>
                <th>Armée</th>
                <td>{{ assureChoosen.armee }}</td>
              </tr>
              <tr>
                <th>Entrée en service le</th>
                <td>{{ assureChoosen.dateEntreService }}</td>
                <th>Unité</th>
                <td>{{ assureChoosen.unite }}</td>
              </tr>
              <tr>
                <th>Grade</th>
                <td>{{ assureChoosen.grade }}</td>
                <th>Numéro de téléphone</th>
                <td>{{ assureChoosen.tel }}</td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12 mb-4">
        <div widget class="card border-0 box-shadow">
          <div class="card-header transparent border-0 text-muted">
            <h5 class="mb-0">Engagement</h5>
          </div>
          <div class="card-body pt-0 widget-body">
            <br/>
            <dx-data-grid id="gridContainer" #grid [dataSource]="dataSource" [showBorders]="true"
                          [rowAlternationEnabled]="true" [allowColumnReordering]="true"
                          [allowColumnResizing]="true" [columnMinWidth]="50" [hoverStateEnabled]="true"
                          columnResizingMode="widget">

              <dxi-column dataField="id" caption="ID" [width]="50"></dxi-column>
              <dxi-column dataField="mensualite" caption="Mensualité"></dxi-column>
              <dxi-column dataField="moisDus" caption="Mois dus"></dxi-column>
              <dxi-column dataField="total" caption="Total"></dxi-column>
              <dxi-column dataField="etat" caption="Etat de la souscription"></dxi-column>
            </dx-data-grid>

          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12 mb-4">
        <div widget class="card border-0 box-shadow">
          <div class="card-header transparent border-0 text-muted">
            <h5 class="mb-0">Nouvelle demande</h5>
          </div>
          <div class="card-body pt-0 widget-body">
            <br/>

            <!--
                private String montantDemande;
                private String dureeRemboursement;
                private String motifDemande;
                private String typePret;
                private String typeApport;
                private String netApayerSansEngagement;
                private String typeRachat;
                private String methodeCalculeMontantRachat;
                private String decision;
                private String motifDecision;
-->

            <form #f="ngForm">

              <div class="row">
                <div class="col-lg-4 mb-4">
                  <div class="form-group">
                    <label for="typeApport">Type d'apport</label>
                    <select class="form-control" id="typeApport" name="typeApport" [(ngModel)]="demande.typeApport">
                      <option>Indemnité de résidence</option>
                      <option>Bail</option>
                      <option>Salaire conjoint</option>
                    </select>
                  </div>
                </div>
                <div class="col-lg-4 mb-4">
                  <div class="form-group">
                    <div class="form-group">
                      <label for="today">Date de la demande</label>
                      <input type="date" class="form-control" id="today" name="today" [(ngModel)]="today" disabled>
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 mb-4">
                  <div class="form-group">
                    <div class="form-group">
                      <label for="montantDemande">Montant demandé</label>
                      <input type="number" class="form-control" id="montantDemande" name="montantDemande" [(ngModel)]="demande.montantDemande">
                    </div>
                  </div>
                </div>
              </div>


              <div class="row">
                <div class="col-lg-4 mb-4">
                  <div class="form-group">
                    <label for="dureeRemboursement">Durée de remboursement</label>
                    <input type="number" class="form-control" id="dureeRemboursement" name="dureeRemboursement" [(ngModel)]="demande.dureeRemboursement">
                  </div>
                </div>
                <div class="col-lg-4 mb-4">
                  <div class="form-group">
                    <div class="form-group">
                      <label for="motifDemande">Motif de la demande</label>
                      <textarea class="form-control" id="motifDemande" name="motifDemande" [(ngModel)]="demande.motifDemande"></textarea>
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 mb-4">
                  <div class="form-group">
                    <div class="form-group">
                      <label for="typePret">Type de prêt</label>
                      <select class="form-control" id="typePret" name="typePret" [(ngModel)]="demande.typePret">
                        <option>Normal</option>
                        <option>Anticipé</option>
                      </select>
                    </div>
                  </div>
                </div>
              </div>


              <div class="row">
                <div class="col-lg-4 mb-4">
                  <div class="form-group">
                    <label for="netApayerSansEngagement">Net à payer sans engagement </label>
                    <input type="number" class="form-control" id="netApayerSansEngagement" name="netApayerSansEngagement" [(ngModel)]="demande.netApayerSansEngagement">
                  </div>
                </div>
                <div class="col-lg-4 mb-4">
                  <div class="form-group">
                    <div class="form-group">
                      <label for="typeRachat">Type de rachat pour les prêts avec rachat</label>
                      <input type="text" class="form-control" id="typeRachat" name="typeRachat" [(ngModel)]="demande.typeRachat">
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 mb-4">
                  <div class="form-group">
                    <div class="form-group">
                      <label for="methodeCalculeMontantRachat">Méthode utilisée pour calculer le montant du rachat</label>
                      <select class="form-control" id="methodeCalculeMontantRachat" name="methodeCalculeMontantRachat" [(ngModel)]="demande.methodeCalculeMontantRachat">
                        <option>Avec réévaluation </option>
                        <option>Sans réévaluation </option>
                      </select>
                    </div>
                  </div>
                </div>
              </div>


            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal-footer">
    <button type="submit" class="btn btn-danger" (click)="addDemande()">
      <span class="fa fa-check"></span>&nbsp;
      <span>Soumettre la demande</span>
    </button>
  </div>
</form>
